%define product PluginRegistry
%define version 1.0
%define release 4

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   This Zope product defines a fully-pluggable user folder, intended for use in all sites
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   ZPL
Group:     System/Servers
URL:       http://www.zope.org/Members/urbanape/PluginRegistry
Source0:   %{product}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Requires:  %{rpm_prefix}-zope

#----------------------------------------------------------------------
%description
PluggableAuthService is a highly extensible replacement user folder for
Zope 2. It can manage arbitrary user, group, role, and property
definitions with ease, and works best in very heterogeneous environments
(users stored in MySQL, groups in LDAP, properties from the filesystem, etc).

For authentication, it supports HTTP Basic Auth, Cookie Auth, Domain Auth,
and can be extended to support just about any other mechanism.

#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.0-4mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 1.0-3mdv2007.0
- Rebuild for Mandriva 2007.0

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 1.0-2mdk
- Give ownership to zope

* Wed Jan 18 2006 Kevin Deldycke <kevin@nexedi.com> 1.0-1mdk
- Initial release
